Readme
======

What is DuMuX?
--------------

[DuMuX][0] is a simulation toolbox mainly aimed at flow and transport
processes in porous media. DuMuX is based on the [DUNE][1]
framework and aims to provide a multitude of numerical models as well
as flexible discretization methods for complex non-linear phenomena,
such as CO2 sequestration, soil remediation, drug delivery in cancer
therapy and more. See [our publication][2] for a more detailed
description of the goals and motivations behind DuMuX.


Installation
------------

Have a look at the [installation guide][3] or use the [DuMuX handbook]
[4], chapter 2.


License
-------

DuMuX is licensed under the terms and conditions of the GNU General
Public License (GPL) version 2 or - at your option - any later
version. The GPL can be [read online][5] or in the `LICENSE.md` file
provided in the topmost directory of the DuMuX source code tree.

Please note that DuMuX' license, unlike DUNE's, does *not* feature a
template exception to the GNU General Public License. This means that
you must publish any source code which uses any of the DuMuX header
files if you want to redistribute your program to third parties. If
this is unacceptable to you, please [contact us][6] for a commercial
license.

See the file `LICENSE.md` for full copying permissions.

Automated Testing
-----------------

DuMuX features many tests (some unit tests and test problems) that can
be run manually. We have experimental support for automated testing with buildbot.
Click <a href="https://git.iws.uni-stuttgart.de/buildbot/#/builders" target="_blank">here</a>
to see the latest builds (clicking on a build
number will show a detailed overview of the build).


[0]: http://dumux.org
[1]: http://dune-project.org
[2]: http://dumux.org/documents/dumux_awrpaper.pdf
[3]: http://www.dumux.org/installation.php
[4]: http://www.dumux.org/documents/dumux-handbook-2.8.pdf
[5]: http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
[6]: http://www.hydrosys.uni-stuttgart.de/index.en.php
